Index: branches/2.0-beta1/include/Pacpus/kernel/InputOutputInterface.h
===================================================================
--- branches/2.0-beta1/include/Pacpus/kernel/InputOutputInterface.h	(revision 138)
+++ branches/2.0-beta1/include/Pacpus/kernel/InputOutputInterface.h	(revision 148)
@@ -21,24 +21,38 @@
 
 template <class T, class C>
-class InputInterface : public InputInterfaceBase
+class InputInterface
+    : public InputInterfaceBase
 {
 public:
-    InputInterface(QString name, C * component, void (C::*m)(const T&)):InputInterfaceBase(name,component,component), method(m) {}
-    ~InputInterface() {}
-    size_t getDataSize() {return sizeof(T);}
-    QString getDataType() {return QString(typeid(T).name());}
+    InputInterface(QString name, C * component, void (C::*m)(const T&))
+        : InputInterfaceBase(name,component,component)
+        , method(m)
+    {}
 
-protected:
+    ~InputInterface()
+    {}
 
-public:
+    size_t getDataSize()
+    {
+        return sizeof(T);
+    }
 
-    PacpusEvent* getEventTemplate() {return new PacpusTypedEvent<T>(TYPED_EVENT); }
+    QString getDataType()
+    {
+        return QString(typeid(T).name());
+    }
 
-    void customEvent(QEvent* event) {
-// TODO check compoennt state started
+    PacpusEvent* getEventTemplate()
+    {
+        return new PacpusTypedEvent<T>(TYPED_EVENT);
+    }
+
+    void customEvent(QEvent* event)
+    {
+        // TODO check component state started
         switch (event->type()) {
-
-        // from Component to Component (T->T)
-        case TYPED_EVENT: {
+        case TYPED_EVENT:
+            {
+            // cast from Component to Component (T->T)
             PacpusTypedEvent<T> * typedEvent = dynamic_cast<PacpusTypedEvent<T> *> (event);
 
@@ -47,17 +61,19 @@
             //if(_component) get state
 
-            if(typedEvent->tr_ < 500 && readingMode_ == TimeBounded) {
+            if (typedEvent->timerange() < 500 && readingMode() == TimeBounded) {
                 //LOG_WARN("Incorrect TimeRange (0), switch to NeverSkip");
                 qDebug() << "Incorrect TimeRange (0), switch to NeverSkip";
-                readingMode_ = NeverSkip;}
+                readingMode() = NeverSkip;}
 
-            switch (readingMode_){
+            switch (readingMode()) {
             case TimeBounded:
                 //qDebug() << "Input " << this->getSignature().leftJustified(20) << QString("Time bournded").leftJustified(15) << road_time()- typedEvent->t_ << "\t" << typedEvent->tr_;
 
-                if(road_time() - typedEvent->t_> typedEvent->tr_)
-                    {qDebug() << "Data skip " << this->getSignature();  break;}
+                if (road_time() - typedEvent->time() > typedEvent->timerange()) {
+                    qDebug() << "Data skip " << this->getSignature();
+                    break;
+                }
 
-                (dynamic_cast<C*>(_component)->*method)(typedEvent->data_);
+                (dynamic_cast<C*>(component())->*method)(typedEvent->data());
                 break;
 
@@ -65,5 +81,5 @@
                 //qDebug() << "Input " << this->getSignature().leftJustified(20) << QString("GetLast").leftJustified(15) << road_time() - typedEvent->t_ << "\t" << typedEvent->tr_;
 
-                (dynamic_cast<C*>(_component)->*method)(typedEvent->data_);
+                (dynamic_cast<C*>(component())->*method)(typedEvent->data());
                 QCoreApplication::removePostedEvents(this,TYPED_EVENT); // delete all remining events
                 break;
@@ -73,5 +89,5 @@
 
             default:
-                (dynamic_cast<C*>(_component)->*method)(typedEvent->data_);
+                (dynamic_cast<C*>(component())->*method)(typedEvent->data());
             }
             break;
@@ -136,5 +152,5 @@
         //QSharedPointer<T> sharedPointer = new T(data);
 
-        for(QList<ConnectionBase>::iterator it = _connection.begin(); it!=_connection.end(); ++it){
+        for(QList<ConnectionBase>::iterator it = connections().begin(); it != connections().end(); ++it){
             QApplication::postEvent(it->getInterface(),new PacpusTypedEvent<T>(TYPED_EVENT,data,t,tr),it->getPriority()); // Event is delete by the event loop handler
             //qDebug() << "sender " << it->getInterface()->getSignature() <<  " thread " << QThread::currentThread() << " Data & " << &data << " ";
@@ -166,6 +182,13 @@
     }
 */
-    size_t getDataSize() {return sizeof(T);}
-    QString getDataType() {return QString(typeid(T).name());}
+    size_t getDataSize()
+    {
+        return sizeof(T);
+    }
+
+    QString getDataType()
+    {
+        return QString(typeid(T).name());
+    }
 };
 
